org.richfaces.component

## Class UICalendar

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.AbstractCalendar
          - - org.richfaces.component.UICalendar

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, EventsPopupsProps, PopupsProps, PositionProps, StyleClassProps, StyleProps, MetaComponentEncoder, MetaComponentResolver

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UICalendar
      extends AbstractCalendar
      implements javax.faces.component.behavior.ClientBehaviorHolder, MetaComponentEncoder, MetaComponentResolver, EventsPopupsProps, PopupsProps, PositionProps, StyleClassProps, StyleProps

  The <rich:calendar> component allows the user to enter a date and time through an in-line or pop-up calendar. The pop-up calendar can navigate through months and years, and its look and feel can be highly customized.

  Author:
    amarkhel

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UICalendar.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.AbstractCalendar

      `AbstractCalendar.Mode, AbstractCalendar.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractCalendar

      `DAYSDATA_META_COMPONENT_ID, DEFAULT_DATE_PATTERN, SUB_TIME_PATTERN, TIME_PATTERN`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UICalendar()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBoundaryDatesMode()` This attribute is responsible for behaviour of dates from the previous and next months which are displayed in the current month.
    `String` | `getButtonClass()` Space-separated list of CSS style class(es) to be applied to the button element.
    `String` | `getButtonDisabledIcon()` Defines disabled icon for the popup button element.
    `String` | `getButtonIcon()` Defines icon for the popup button element.
    `String` | `getButtonLabel()` Defines label for the popup button element.
    `Object` | `getCurrentDate()` Used to define the month and year which will be displayed
    `CalendarDataModel` | `getDataModel()` Used to provide data for calendar elements.
    `String` | `getDatePattern()` Used to format the date and time strings, according to ISO 8601 (for example, d/M/yy HH:mm a)
    `String` | `getDayClassFunction()` The javascript function that determines the CSS style class for each day cell
    `String` | `getDayDisableFunction()` The javascript function that enables or disables a day cell
    `String` | `getDefaultEventName()`
    `String` | `getDefaultLabel()` The starting label can be set when in the initial view state.
    `Object` | `getDefaultTime()` Defines time that will be used:
    `Positioning` | `getDirection()` Set the direction of the popup.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `int` | `getFirstWeekDay()` Determines the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France.
    `int` | `getHorizontalOffset()` Sets the horizontal offset between popup element and the conjunction point
    `String` | `getInputClass()` Space-separated list of CSS style class(es) to be applied to the input element.
    `String` | `getInputSize()` Defines the size of an input field.
    `String` | `getInputStyle()` CSS style(s) to be applied to the input element
    `Positioning` | `getJointPoint()` Set the corner attachment point with which the popup should be connected.
    `int` | `getMinDaysInFirstWeek()` Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1.
    `AbstractCalendar.Mode` | `getMode()` Valid values: ajax or client
    `Object` | `getMonthLabels()` Attribute that allows to customize names of the months.
    `Object` | `getMonthLabelsShort()` Attribute that allows to customize short names of the months.
    `String` | `getOnbeforecurrentdateselect()` The client-side script method to be called before the current month or year is changed
    `String` | `getOnbeforedateselect()` The client-side script method to be called before some date cell is selected
    `String` | `getOnbeforetimeselect()` The client-side script method to be called before time is selected
    `String` | `getOnchange()` Javascript code executed when this element loses focus and its value has been modified since gaining focus.
    `String` | `getOnclean()` The client-side script method to be called before the component is cleaned
    `String` | `getOncomplete()` The client-side script method to be called after the DOM is updated
    `String` | `getOncurrentdateselect()` The client-side script method to be called when the current month or year is changed
    `String` | `getOndatemouseout()` The client-side script method to be called when a pointer is moved away from the date cell
    `String` | `getOndatemouseover()` The client-side script method to be called when a pointer is moved onto the date cell
    `String` | `getOndateselect()` The client-side script method to be called when some date cell is selected
    `String` | `getOnhide()` The client-side code executed after the popup disappears.
    `String` | `getOninputblur()` Javascript code executed when the input element loses focus.
    `String` | `getOninputchange()` Javascript code executed when the input field value is changed manually
    `String` | `getOninputclick()` Javascript code executed when a pointer button is clicked over the input element.
    `String` | `getOninputdblclick()` Javascript code executed when a pointer button is double clicked over the input element.
    `String` | `getOninputfocus()` Javascript code executed when the input element receives focus.
    `String` | `getOninputkeydown()` Javascript code executed when a key is pressed down over the input element.
    `String` | `getOninputkeypress()` Javascript code executed when a key is pressed and released over the input element.
    `String` | `getOninputkeyup()` Javascript code executed when a key is released over the input element.
    `String` | `getOninputmousedown()` Javascript code executed when a pointer button is pressed down over the input element.
    `String` | `getOninputmousemove()` Javascript code executed when a pointer button is moved within the input element.
    `String` | `getOninputmouseout()` Javascript code executed when a pointer button is moved away from the input element.
    `String` | `getOninputmouseover()` Javascript code executed when a pointer button is moved onto the input element.
    `String` | `getOninputmouseup()` Javascript code executed when a pointer button is released over the input element.
    `String` | `getOninputselect()` Javascript code executed called when the input field value is selected
    `String` | `getOnshow()` The client-side code executed after the popup is shown.
    `String` | `getOntimeselect()` The client-side script method to be called after time is selected
    `String` | `getPopupClass()` Space-separated list of CSS style class(es) to be applied to the popup element.
    `String` | `getPopupStyle()` CSS style(s) to be applied to the popup element
    `Object` | `getPreloadDateRangeBegin()` Defines the last range of date which will be loaded to client from dataModel under rendering
    `Object` | `getPreloadDateRangeEnd()` Define the initial range of date which will be loaded to client from dataModel under rendering
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabindex()` Position of this element in the tabbing order for the current document.
    `TimeZone` | `getTimeZone()` Used for current date calculations
    `String` | `getTodayControlMode()` This attribute defines the mode for "today" control.
    `int` | `getVerticalOffset()` Sets the vertical offset between popup element and the conjunction point
    `Object` | `getWeekDayLabels()` List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed,"
    `Object` | `getWeekDayLabelsShort()` Attribute that allows to customize short names of the weekdays.
    `int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.
    `boolean` | `isDisabled()` If "true", rendered is disabled.
    `boolean` | `isEnableManualInput()` If "true" calendar input will be editable and it will be possible to change the date manually.
    `boolean` | `isPopup()` If "true", the calendar will be rendered initially as hidden with additional elements for calling as popup
    `boolean` | `isReadonly()` If "true".
    `boolean` | `isResetTimeOnDateSelect()` If value is true then calendar should change time to defaultTime for newly-selected dates
    `boolean` | `isShowApplyButton()` If false ApplyButton should not be shown
    `boolean` | `isShowFooter()` If false Calendar's footer should not be shown
    `boolean` | `isShowHeader()` If false Calendar's header should not be shown
    `boolean` | `isShowInput()` "false" value for this attribute makes text field invisible.
    `boolean` | `isShowWeekDaysBar()` If false this bar should not be shown
    `boolean` | `isShowWeeksBar()` If false this bar should not be shown
    `void` | `setBoundaryDatesMode(String boundaryDatesMode)`
    `void` | `setButtonClass(String buttonClass)`
    `void` | `setButtonDisabledIcon(String buttonDisabledIcon)`
    `void` | `setButtonIcon(String buttonIcon)`
    `void` | `setButtonLabel(String buttonLabel)`
    `void` | `setCurrentDate(Object currentDate)`
    `void` | `setDataModel(CalendarDataModel dataModel)`
    `void` | `setDatePattern(String datePattern)`
    `void` | `setDayClassFunction(String dayClassFunction)`
    `void` | `setDayDisableFunction(String dayDisableFunction)`
    `void` | `setDefaultLabel(String defaultLabel)`
    `void` | `setDefaultTime(Object defaultTime)`
    `void` | `setDirection(Positioning direction)`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setEnableManualInput(boolean enableManualInput)`
    `void` | `setFirstWeekDay(int firstWeekDay)`
    `void` | `setHorizontalOffset(int horizontalOffset)`
    `void` | `setInputClass(String inputClass)`
    `void` | `setInputSize(String inputSize)`
    `void` | `setInputStyle(String inputStyle)`
    `void` | `setJointPoint(Positioning jointPoint)`
    `void` | `setMinDaysInFirstWeek(int minDaysInFirstWeek)`
    `void` | `setMode(AbstractCalendar.Mode mode)`
    `void` | `setMonthLabels(Object monthLabels)`
    `void` | `setMonthLabelsShort(Object monthLabelsShort)`
    `void` | `setOnbeforecurrentdateselect(String onbeforecurrentdateselect)`
    `void` | `setOnbeforedateselect(String onbeforedateselect)`
    `void` | `setOnbeforetimeselect(String onbeforetimeselect)`
    `void` | `setOnchange(String onchange)`
    `void` | `setOnclean(String onclean)`
    `void` | `setOncomplete(String oncomplete)`
    `void` | `setOncurrentdateselect(String oncurrentdateselect)`
    `void` | `setOndatemouseout(String ondatemouseout)`
    `void` | `setOndatemouseover(String ondatemouseover)`
    `void` | `setOndateselect(String ondateselect)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOninputblur(String oninputblur)`
    `void` | `setOninputchange(String oninputchange)`
    `void` | `setOninputclick(String oninputclick)`
    `void` | `setOninputdblclick(String oninputdblclick)`
    `void` | `setOninputfocus(String oninputfocus)`
    `void` | `setOninputkeydown(String oninputkeydown)`
    `void` | `setOninputkeypress(String oninputkeypress)`
    `void` | `setOninputkeyup(String oninputkeyup)`
    `void` | `setOninputmousedown(String oninputmousedown)`
    `void` | `setOninputmousemove(String oninputmousemove)`
    `void` | `setOninputmouseout(String oninputmouseout)`
    `void` | `setOninputmouseover(String oninputmouseover)`
    `void` | `setOninputmouseup(String oninputmouseup)`
    `void` | `setOninputselect(String oninputselect)`
    `void` | `setOnshow(String onshow)`
    `void` | `setOntimeselect(String ontimeselect)`
    `void` | `setPopup(boolean popup)`
    `void` | `setPopupClass(String popupClass)`
    `void` | `setPopupStyle(String popupStyle)`
    `void` | `setPreloadDateRangeBegin(Object preloadDateRangeBegin)`
    `void` | `setPreloadDateRangeEnd(Object preloadDateRangeEnd)`
    `void` | `setReadonly(boolean readonly)`
    `void` | `setResetTimeOnDateSelect(boolean resetTimeOnDateSelect)`
    `void` | `setShowApplyButton(boolean showApplyButton)`
    `void` | `setShowFooter(boolean showFooter)`
    `void` | `setShowHeader(boolean showHeader)`
    `void` | `setShowInput(boolean showInput)`
    `void` | `setShowWeekDaysBar(boolean showWeekDaysBar)`
    `void` | `setShowWeeksBar(boolean showWeeksBar)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabindex(String tabindex)`
    `void` | `setTimeZone(TimeZone timeZone)`
    `void` | `setTodayControlMode(String todayControlMode)`
    `void` | `setVerticalOffset(int verticalOffset)`
    `void` | `setWeekDayLabels(Object weekDayLabels)`
    `void` | `setWeekDayLabelsShort(Object weekDayLabelsShort)`
    `void` | `setZindex(int zindex)`

    - ### Methods inherited from class org.richfaces.component.AbstractCalendar

      `addCurrentDateChangeListener, broadcast, deleteEmptyPropeties, encodeMetaComponent, formatStartDate, getCurrentDateChangeListeners, getCurrentDateOrDefault, getDefaultPreloadBegin, getDefaultPreloadEnd, getDefaultValueOfDefaultTime, getLocale, getPreload, getPreloadDateRange, removeCurrentDateChangeListener, resolveClientId, setLocale, substituteUnresolvedClientId, updateCurrentDate, visitTree`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentEncoder

      `encodeMetaComponent`

    - ### Methods inherited from interface org.richfaces.component.MetaComponentResolver

      `resolveClientId, substituteUnresolvedClientId`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UICalendar

          public UICalendar()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getBoundaryDatesMode

          public String getBoundaryDatesMode()

      Description copied from class: `AbstractCalendar`

      This attribute is responsible for behaviour of dates from the previous and next months which are displayed in the current month. Valid values are "inactive" (Default) dates inactive and gray colored, "scroll" boundaries work as month scrolling controls, and "select" boundaries work in the same way as "scroll" but with the date clicked selection

      Default value is "inactive"

      Specified by:
        `getBoundaryDatesMode` in class `AbstractCalendar`

    - #### setBoundaryDatesMode

          public void setBoundaryDatesMode(String boundaryDatesMode)

    - #### getButtonClass

          public String getButtonClass()

      Description copied from class: `AbstractCalendar`
      Space-separated list of CSS style class(es) to be applied to the button element. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getButtonClass` in class `AbstractCalendar`

    - #### setButtonClass

          public void setButtonClass(String buttonClass)

    - #### getButtonDisabledIcon

          public String getButtonDisabledIcon()

      Description copied from class: `AbstractCalendar`
      Defines disabled icon for the popup button element. The attribute is ignored if the "buttonLabel" is set
      Specified by:
        `getButtonDisabledIcon` in class `AbstractCalendar`

    - #### setButtonDisabledIcon

          public void setButtonDisabledIcon(String buttonDisabledIcon)

    - #### getButtonIcon

          public String getButtonIcon()

      Description copied from class: `AbstractCalendar`
      Defines icon for the popup button element. The attribute is ignored if the "buttonLabel" is set
      Specified by:
        `getButtonIcon` in class `AbstractCalendar`

    - #### setButtonIcon

          public void setButtonIcon(String buttonIcon)

    - #### getButtonLabel

          public String getButtonLabel()

      Description copied from class: `AbstractCalendar`
      Defines label for the popup button element. If the attribute is set "buttonIcon" and "buttonIconDisabled" are ignored
      Specified by:
        `getButtonLabel` in class `AbstractCalendar`

    - #### setButtonLabel

          public void setButtonLabel(String buttonLabel)

    - #### getCurrentDate

          public Object getCurrentDate()

      Description copied from class: `AbstractCalendar`
      Used to define the month and year which will be displayed
      Specified by:
        `getCurrentDate` in class `AbstractCalendar`

    - #### setCurrentDate

          public void setCurrentDate(Object currentDate)

      Specified by:
        `setCurrentDate` in class `AbstractCalendar`

    - #### getDataModel

          public CalendarDataModel getDataModel()

      Description copied from class: `AbstractCalendar`
      Used to provide data for calendar elements. If data is not provided, all Data Model related functions are disabled
      Specified by:
        `getDataModel` in class `AbstractCalendar`

    - #### setDataModel

          public void setDataModel(CalendarDataModel dataModel)

    - #### getDatePattern

          public String getDatePattern()

      Description copied from class: `AbstractCalendar`
      Used to format the date and time strings, according to ISO 8601 (for example, d/M/yy HH:mm a)
      Specified by:
        `getDatePattern` in class `AbstractCalendar`

    - #### setDatePattern

          public void setDatePattern(String datePattern)

    - #### getDayClassFunction

          public String getDayClassFunction()

      Description copied from class: `AbstractCalendar`
      The javascript function that determines the CSS style class for each day cell
      Specified by:
        `getDayClassFunction` in class `AbstractCalendar`

    - #### setDayClassFunction

          public void setDayClassFunction(String dayClassFunction)

    - #### getDayDisableFunction

          public String getDayDisableFunction()

      Description copied from class: `AbstractCalendar`

      The javascript function that enables or disables a day cell

      Specified by:
        `getDayDisableFunction` in class `AbstractCalendar`

    - #### setDayDisableFunction

          public void setDayDisableFunction(String dayDisableFunction)

    - #### getDefaultLabel

          public String getDefaultLabel()

      Description copied from class: `AbstractCalendar`
      The starting label can be set when in the initial view state. If the initial value is already set through the value attribute, this is displayed instead.
      Specified by:
        `getDefaultLabel` in class `AbstractCalendar`

    - #### setDefaultLabel

          public void setDefaultLabel(String defaultLabel)

    - #### getDefaultTime

          public Object getDefaultTime()

      Description copied from class: `AbstractCalendar`

      Defines time that will be used:

      1. to set time when the value is empty
      2. to set time when date changes and flag "resetTimeOnDateSelect" is true

      Default value is "getDefaultValueOfDefaultTime()"

      Specified by:
        `getDefaultTime` in class `AbstractCalendar`

    - #### setDefaultTime

          public void setDefaultTime(Object defaultTime)

    - #### getDirection

          public Positioning getDirection()

      Description copied from interface: `PositionProps`

      Set the direction of the popup. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getDirection` in interface `PositionProps`

    - #### setDirection

          public void setDirection(Positioning direction)

    - #### isDisabled

          public boolean isDisabled()

      Description copied from class: `AbstractCalendar`

      If "true", rendered is disabled. In "popup" mode both controls are disabled

      Default value is "false"

      Specified by:
        `isDisabled` in class `AbstractCalendar`

    - #### setDisabled

          public void setDisabled(boolean disabled)

    - #### isEnableManualInput

          public boolean isEnableManualInput()

      Description copied from class: `AbstractCalendar`

      If "true" calendar input will be editable and it will be possible to change the date manually. If "false" the text field will be "read-only", so the value can be changed only from a handle.

      Default value is "false"

      Specified by:
        `isEnableManualInput` in class `AbstractCalendar`

    - #### setEnableManualInput

          public void setEnableManualInput(boolean enableManualInput)

    - #### getFirstWeekDay

          public int getFirstWeekDay()

      Description copied from class: `AbstractCalendar`

      Determines the first day of the week is; e.g., SUNDAY in the U.S., MONDAY in France. Possible values should be integers from 0 to 6, 0 corresponds to Sunday

      Default value is "getDefaultFirstWeekDay()"

      Specified by:
        `getFirstWeekDay` in class `AbstractCalendar`

    - #### setFirstWeekDay

          public void setFirstWeekDay(int firstWeekDay)

    - #### getHorizontalOffset

          public int getHorizontalOffset()

      Description copied from interface: `PositionProps`

      Sets the horizontal offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getHorizontalOffset` in interface `PositionProps`

    - #### setHorizontalOffset

          public void setHorizontalOffset(int horizontalOffset)

    - #### getInputClass

          public String getInputClass()

      Description copied from class: `AbstractCalendar`
      Space-separated list of CSS style class(es) to be applied to the input element. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getInputClass` in class `AbstractCalendar`

    - #### setInputClass

          public void setInputClass(String inputClass)

    - #### getInputSize

          public String getInputSize()

      Description copied from class: `AbstractCalendar`
      Defines the size of an input field. Similar to the "size" attribute of <h:inputText/>
      Specified by:
        `getInputSize` in class `AbstractCalendar`

    - #### setInputSize

          public void setInputSize(String inputSize)

    - #### getInputStyle

          public String getInputStyle()

      Description copied from class: `AbstractCalendar`
      CSS style(s) to be applied to the input element
      Specified by:
        `getInputStyle` in class `AbstractCalendar`

    - #### setInputStyle

          public void setInputStyle(String inputStyle)

    - #### getJointPoint

          public Positioning getJointPoint()

      Description copied from interface: `PositionProps`

      Set the corner attachment point with which the popup should be connected. Possible values are:
      AA (auto), LT (topLeft), RT (topRight), LB (bottomLeft), RB (bottomRight, LA (autoLeft), RA (autoRight), AT (topAuto), AB (bottomAuto)

      Default value is auto

      Specified by:
        `getJointPoint` in interface `PositionProps`

    - #### setJointPoint

          public void setJointPoint(Positioning jointPoint)

    - #### getMinDaysInFirstWeek

          public int getMinDaysInFirstWeek()

      Description copied from class: `AbstractCalendar`

      Gets what the minimal days required in the first week of the year are; e.g., if the first week is defined as one that contains the first day of the first month of a year, this method returns 1. If the minimal days required must be a full week, this method returns 7.

      Default value is "getDefaultMinDaysInFirstWeek()"

      Specified by:
        `getMinDaysInFirstWeek` in class `AbstractCalendar`

    - #### setMinDaysInFirstWeek

          public void setMinDaysInFirstWeek(int minDaysInFirstWeek)

    - #### getMode

          public AbstractCalendar.Mode getMode()

      Description copied from class: `AbstractCalendar`

      Valid values: ajax or client

      Default value is "client"

      Specified by:
        `getMode` in class `AbstractCalendar`

    - #### setMode

          public void setMode(AbstractCalendar.Mode mode)

    - #### getMonthLabels

          public Object getMonthLabels()

      Description copied from class: `AbstractCalendar`
      Attribute that allows to customize names of the months. Should accept list with the month names
      Specified by:
        `getMonthLabels` in class `AbstractCalendar`

    - #### setMonthLabels

          public void setMonthLabels(Object monthLabels)

    - #### getMonthLabelsShort

          public Object getMonthLabelsShort()

      Description copied from class: `AbstractCalendar`
      Attribute that allows to customize short names of the months. Should accept list with the month names
      Specified by:
        `getMonthLabelsShort` in class `AbstractCalendar`

    - #### setMonthLabelsShort

          public void setMonthLabelsShort(Object monthLabelsShort)

    - #### getOnbeforecurrentdateselect

          public String getOnbeforecurrentdateselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called before the current month or year is changed
      Specified by:
        `getOnbeforecurrentdateselect` in class `AbstractCalendar`

    - #### setOnbeforecurrentdateselect

          public void setOnbeforecurrentdateselect(String onbeforecurrentdateselect)

    - #### getOnbeforedateselect

          public String getOnbeforedateselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called before some date cell is selected
      Specified by:
        `getOnbeforedateselect` in class `AbstractCalendar`

    - #### setOnbeforedateselect

          public void setOnbeforedateselect(String onbeforedateselect)

    - #### getOnbeforetimeselect

          public String getOnbeforetimeselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called before time is selected
      Specified by:
        `getOnbeforetimeselect` in class `AbstractCalendar`

    - #### setOnbeforetimeselect

          public void setOnbeforetimeselect(String onbeforetimeselect)

    - #### getOnchange

          public String getOnchange()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when this element loses focus and its value has been modified since gaining focus.
      Specified by:
        `getOnchange` in class `AbstractCalendar`

    - #### setOnchange

          public void setOnchange(String onchange)

    - #### getOnclean

          public String getOnclean()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called before the component is cleaned
      Specified by:
        `getOnclean` in class `AbstractCalendar`

    - #### setOnclean

          public void setOnclean(String onclean)

    - #### getOncomplete

          public String getOncomplete()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called after the DOM is updated
      Specified by:
        `getOncomplete` in class `AbstractCalendar`

    - #### setOncomplete

          public void setOncomplete(String oncomplete)

    - #### getOncurrentdateselect

          public String getOncurrentdateselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called when the current month or year is changed
      Specified by:
        `getOncurrentdateselect` in class `AbstractCalendar`

    - #### setOncurrentdateselect

          public void setOncurrentdateselect(String oncurrentdateselect)

    - #### getOndatemouseout

          public String getOndatemouseout()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called when a pointer is moved away from the date cell
      Specified by:
        `getOndatemouseout` in class `AbstractCalendar`

    - #### setOndatemouseout

          public void setOndatemouseout(String ondatemouseout)

    - #### getOndatemouseover

          public String getOndatemouseover()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called when a pointer is moved onto the date cell
      Specified by:
        `getOndatemouseover` in class `AbstractCalendar`

    - #### setOndatemouseover

          public void setOndatemouseover(String ondatemouseover)

    - #### getOndateselect

          public String getOndateselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called when some date cell is selected
      Specified by:
        `getOndateselect` in class `AbstractCalendar`

    - #### setOndateselect

          public void setOndateselect(String ondateselect)

    - #### getOnhide

          public String getOnhide()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup disappears.
      Specified by:
        `getOnhide` in interface `EventsPopupsProps`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOninputblur

          public String getOninputblur()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when the input element loses focus.
      Specified by:
        `getOninputblur` in class `AbstractCalendar`

    - #### setOninputblur

          public void setOninputblur(String oninputblur)

    - #### getOninputchange

          public String getOninputchange()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when the input field value is changed manually
      Specified by:
        `getOninputchange` in class `AbstractCalendar`

    - #### setOninputchange

          public void setOninputchange(String oninputchange)

    - #### getOninputclick

          public String getOninputclick()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is clicked over the input element.
      Specified by:
        `getOninputclick` in class `AbstractCalendar`

    - #### setOninputclick

          public void setOninputclick(String oninputclick)

    - #### getOninputdblclick

          public String getOninputdblclick()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is double clicked over the input element.
      Specified by:
        `getOninputdblclick` in class `AbstractCalendar`

    - #### setOninputdblclick

          public void setOninputdblclick(String oninputdblclick)

    - #### getOninputfocus

          public String getOninputfocus()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when the input element receives focus.
      Specified by:
        `getOninputfocus` in class `AbstractCalendar`

    - #### setOninputfocus

          public void setOninputfocus(String oninputfocus)

    - #### getOninputkeydown

          public String getOninputkeydown()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a key is pressed down over the input element.
      Specified by:
        `getOninputkeydown` in class `AbstractCalendar`

    - #### setOninputkeydown

          public void setOninputkeydown(String oninputkeydown)

    - #### getOninputkeypress

          public String getOninputkeypress()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a key is pressed and released over the input element.
      Specified by:
        `getOninputkeypress` in class `AbstractCalendar`

    - #### setOninputkeypress

          public void setOninputkeypress(String oninputkeypress)

    - #### getOninputkeyup

          public String getOninputkeyup()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a key is released over the input element.
      Specified by:
        `getOninputkeyup` in class `AbstractCalendar`

    - #### setOninputkeyup

          public void setOninputkeyup(String oninputkeyup)

    - #### getOninputmousedown

          public String getOninputmousedown()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is pressed down over the input element.
      Specified by:
        `getOninputmousedown` in class `AbstractCalendar`

    - #### setOninputmousedown

          public void setOninputmousedown(String oninputmousedown)

    - #### getOninputmousemove

          public String getOninputmousemove()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is moved within the input element.
      Specified by:
        `getOninputmousemove` in class `AbstractCalendar`

    - #### setOninputmousemove

          public void setOninputmousemove(String oninputmousemove)

    - #### getOninputmouseout

          public String getOninputmouseout()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is moved away from the input element.
      Specified by:
        `getOninputmouseout` in class `AbstractCalendar`

    - #### setOninputmouseout

          public void setOninputmouseout(String oninputmouseout)

    - #### getOninputmouseover

          public String getOninputmouseover()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is moved onto the input element.
      Specified by:
        `getOninputmouseover` in class `AbstractCalendar`

    - #### setOninputmouseover

          public void setOninputmouseover(String oninputmouseover)

    - #### getOninputmouseup

          public String getOninputmouseup()

      Description copied from class: `AbstractCalendar`
      Javascript code executed when a pointer button is released over the input element.
      Specified by:
        `getOninputmouseup` in class `AbstractCalendar`

    - #### setOninputmouseup

          public void setOninputmouseup(String oninputmouseup)

    - #### getOninputselect

          public String getOninputselect()

      Description copied from class: `AbstractCalendar`
      Javascript code executed called when the input field value is selected
      Specified by:
        `getOninputselect` in class `AbstractCalendar`

    - #### setOninputselect

          public void setOninputselect(String oninputselect)

    - #### getOnshow

          public String getOnshow()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup is shown.
      Specified by:
        `getOnshow` in interface `EventsPopupsProps`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### getOntimeselect

          public String getOntimeselect()

      Description copied from class: `AbstractCalendar`
      The client-side script method to be called after time is selected
      Specified by:
        `getOntimeselect` in class `AbstractCalendar`

    - #### setOntimeselect

          public void setOntimeselect(String ontimeselect)

    - #### isPopup

          public boolean isPopup()

      Description copied from class: `AbstractCalendar`

      If "true", the calendar will be rendered initially as hidden with additional elements for calling as popup

      Default value is "true"

      Specified by:
        `isPopup` in class `AbstractCalendar`

    - #### setPopup

          public void setPopup(boolean popup)

    - #### getPopupClass

          public String getPopupClass()

      Description copied from class: `AbstractCalendar`
      Space-separated list of CSS style class(es) to be applied to the popup element. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getPopupClass` in class `AbstractCalendar`

    - #### setPopupClass

          public void setPopupClass(String popupClass)

    - #### getPopupStyle

          public String getPopupStyle()

      Description copied from class: `AbstractCalendar`
      CSS style(s) to be applied to the popup element
      Specified by:
        `getPopupStyle` in class `AbstractCalendar`

    - #### setPopupStyle

          public void setPopupStyle(String popupStyle)

    - #### getPreloadDateRangeBegin

          public Object getPreloadDateRangeBegin()

      Description copied from class: `AbstractCalendar`

      Defines the last range of date which will be loaded to client from dataModel under rendering

      Default value is "getDefaultPreloadEnd(getCurrentDateOrDefault())"

      Specified by:
        `getPreloadDateRangeBegin` in class `AbstractCalendar`

    - #### setPreloadDateRangeBegin

          public void setPreloadDateRangeBegin(Object preloadDateRangeBegin)

      Specified by:
        `setPreloadDateRangeBegin` in class `AbstractCalendar`

    - #### getPreloadDateRangeEnd

          public Object getPreloadDateRangeEnd()

      Description copied from class: `AbstractCalendar`

      Define the initial range of date which will be loaded to client from dataModel under rendering

      Default value is "getDefaultPreloadBegin(getCurrentDateOrDefault())"

      Specified by:
        `getPreloadDateRangeEnd` in class `AbstractCalendar`

    - #### setPreloadDateRangeEnd

          public void setPreloadDateRangeEnd(Object preloadDateRangeEnd)

      Specified by:
        `setPreloadDateRangeEnd` in class `AbstractCalendar`

    - #### isReadonly

          public boolean isReadonly()

      Description copied from class: `AbstractCalendar`

      If "true". Date and time are not selectable. In "popup" mode input is disabled and button is enabled.

      Default value is "false"

      Specified by:
        `isReadonly` in class `AbstractCalendar`

    - #### setReadonly

          public void setReadonly(boolean readonly)

    - #### isResetTimeOnDateSelect

          public boolean isResetTimeOnDateSelect()

      Description copied from class: `AbstractCalendar`

      If value is true then calendar should change time to defaultTime for newly-selected dates

      Default value is "false"

      Specified by:
        `isResetTimeOnDateSelect` in class `AbstractCalendar`

    - #### setResetTimeOnDateSelect

          public void setResetTimeOnDateSelect(boolean resetTimeOnDateSelect)

    - #### isShowApplyButton

          public boolean isShowApplyButton()

      Description copied from class: `AbstractCalendar`

      If false ApplyButton should not be shown

      Default value is "false"

      Specified by:
        `isShowApplyButton` in class `AbstractCalendar`

    - #### setShowApplyButton

          public void setShowApplyButton(boolean showApplyButton)

    - #### isShowFooter

          public boolean isShowFooter()

      Description copied from class: `AbstractCalendar`

      If false Calendar's footer should not be shown

      Default value is "true"

      Specified by:
        `isShowFooter` in class `AbstractCalendar`

    - #### setShowFooter

          public void setShowFooter(boolean showFooter)

    - #### isShowHeader

          public boolean isShowHeader()

      Description copied from class: `AbstractCalendar`

      If false Calendar's header should not be shown

      Default value is "true"

      Specified by:
        `isShowHeader` in class `AbstractCalendar`

    - #### setShowHeader

          public void setShowHeader(boolean showHeader)

    - #### isShowInput

          public boolean isShowInput()

      Description copied from class: `AbstractCalendar`

      "false" value for this attribute makes text field invisible. It works only if popupMode="true" If showInput is "true" - input field will be shown

      Default value is "true"

      Specified by:
        `isShowInput` in class `AbstractCalendar`

    - #### setShowInput

          public void setShowInput(boolean showInput)

    - #### isShowWeekDaysBar

          public boolean isShowWeekDaysBar()

      Description copied from class: `AbstractCalendar`

      If false this bar should not be shown

      Default value is "true"

      Specified by:
        `isShowWeekDaysBar` in class `AbstractCalendar`

    - #### setShowWeekDaysBar

          public void setShowWeekDaysBar(boolean showWeekDaysBar)

    - #### isShowWeeksBar

          public boolean isShowWeeksBar()

      Description copied from class: `AbstractCalendar`

      If false this bar should not be shown

      Default value is "true"

      Specified by:
        `isShowWeeksBar` in class `AbstractCalendar`

    - #### setShowWeeksBar

          public void setShowWeeksBar(boolean showWeeksBar)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabindex

          public String getTabindex()

      Description copied from class: `AbstractCalendar`
      Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.
      Specified by:
        `getTabindex` in class `AbstractCalendar`

    - #### setTabindex

          public void setTabindex(String tabindex)

    - #### getTimeZone

          public TimeZone getTimeZone()

      Description copied from class: `AbstractCalendar`

      Used for current date calculations

      Default value is "getDefaultTimeZone()"

      Specified by:
        `getTimeZone` in class `AbstractCalendar`

    - #### setTimeZone

          public void setTimeZone(TimeZone timeZone)

    - #### getTodayControlMode

          public String getTodayControlMode()

      Description copied from class: `AbstractCalendar`

      This attribute defines the mode for "today" control. Possible values are "scroll", "select", "hidden"

      Default value is "select"

      Specified by:
        `getTodayControlMode` in class `AbstractCalendar`

    - #### setTodayControlMode

          public void setTodayControlMode(String todayControlMode)

    - #### getVerticalOffset

          public int getVerticalOffset()

      Description copied from interface: `PositionProps`

      Sets the vertical offset between popup element and the conjunction point

      Default value is 0

      Specified by:
        `getVerticalOffset` in interface `PositionProps`

    - #### setVerticalOffset

          public void setVerticalOffset(int verticalOffset)

    - #### getWeekDayLabels

          public Object getWeekDayLabels()

      Description copied from class: `AbstractCalendar`
      List of the day names displays on the days bar in the following way "Sun, Mon, Tue, Wed,"
      Specified by:
        `getWeekDayLabels` in class `AbstractCalendar`

    - #### setWeekDayLabels

          public void setWeekDayLabels(Object weekDayLabels)

    - #### getWeekDayLabelsShort

          public Object getWeekDayLabelsShort()

      Description copied from class: `AbstractCalendar`
      Attribute that allows to customize short names of the weekdays. Should accept list with the weekday's names.
      Specified by:
        `getWeekDayLabelsShort` in class `AbstractCalendar`

    - #### setWeekDayLabelsShort

          public void setWeekDayLabelsShort(Object weekDayLabelsShort)

    - #### getZindex

          public int getZindex()

      Description copied from interface: `PopupsProps`
      Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "3".
      Specified by:
        `getZindex` in interface `PopupsProps`

    - #### setZindex

          public void setZindex(int zindex)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.